Bug 447047 - after upgrade to 2.6.24.7, prism54 wireless not working. Had to blacklist prism54 module
Summary: after upgrade to 2.6.24.7, prism54 wireless not working. Had to blacklist pri...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 10
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-17 12:35 UTC by Philippe Waroquiers
Modified: 2009-12-18 06:09 UTC (History)
11 users (show)

Fixed In Version: kernel-2.6.31.5-109.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 06:09:02 UTC


Attachments (Terms of Use)
prism54-remove-pci-dev-table.patch (728 bytes, patch)
2009-11-02 18:56 UTC, John W. Linville
no flags Details | Diff

Description Philippe Waroquiers 2008-05-17 12:35:18 UTC
Description of problem:
I upgraded to the new kernel. After reboot, the wireless card was not working
anymore. It looks like if the firmware isl3886 was not being loaded anymore.

The problem was solved by adding prism54 in the blacklist.
I think the problem is that prism54 module is not compatible with p54pci module
and this incompatibility only shows up with the last kernel upgrade of fedora
core 8.

Comment 1 Bug Zapper 2008-11-26 10:43:43 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Philippe Waroquiers 2008-12-26 11:41:56 UTC
Last night I replaced FC8 by FC10.
Similarly to what happened on FC8, the wifi card was not working properly.
After painful re-investigation (human brain is very limited, mine in 
particular :), I saw again that both p54 and prism54 modules were loaded.

I blacklisted prism54 and then the card worked ok.

=> it would be nice to either
    * remove prism54 from the distribution
    * or blacklist it by defautl
    * or, when the prism54 card does not work, to output a message
      in the system log indicating to verify if only one of p54 or prism54
      is loaded.

Thanks

Comment 3 Felix Möller 2009-10-28 18:31:41 UTC
I hit this bug today with current rawhide. I think this really should be fixed!

Comment 4 Felix Möller 2009-10-28 18:45:24 UTC
More information to get this actually solved.

I am running todays rawhide.
[root@s100 ~]# cat /etc/redhat-release 
Fedora release 11.92 (Rawhide)

The blacklist file is from the following packet:
[root@s100 ~]# rpm -qf /etc/modprobe.d/blacklist.conf 
hwdata-0.225-3.fc12.noarch

[root@s100 ~]# lspci -nn | grep Networ
01:07.0 Network controller [0280]: Intersil Corporation ISL3890 [Prism GT/Prism Duette]/ISL3886 [Prism Javelin/Prism Xbow] [1260:3890] (rev 01)

To solve the bug I created the following file:
[root@s100 ~]# cat /etc/modprobe.d/p54pci.conf 
blacklist prism54

Comment 5 Felix Möller 2009-10-28 19:00:57 UTC
Looking deeper into this issue according to http://wireless.kernel.org/en/users/Drivers/p54#prism54_.28deprecated.29 the old prism54 module is deprecated, therefore it is probably a good idea to blacklist the module anyways.

Comment 6 Felix Möller 2009-11-01 16:09:45 UTC
The prism54 driver is scheduled for removal:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=4d8cd26849737e141ff0aa23fedacef4ea76ea4f

@Dan: what do you think about this, you have been CCed upstream too ...

Comment 7 Paul W. Frields 2009-11-02 13:26:22 UTC
Should this perhaps be filed against the kernel instead of wireless-tools? cc'ing Messrs. Linville and Ebbert for guidance.  Gentlemen, apologies if I tagged you wrongly, and feel free to remove yourselves and redirect as needed...

Comment 8 John W. Linville 2009-11-02 15:15:12 UTC
Well, oddly enough I just turned-off the PRISM54 config option for rawhide (i.e. F13) a few days ago.  I have no problem turning-it off for F12 as well, if there is no objection, but didn't do so since it had already gone-out with the Alpha.

Comments on F12?

Comment 9 Paul W. Frields 2009-11-02 15:55:28 UTC
QA should probably weigh in; cc'ing a couple people to check on this, although I think they'd want to err on the conservative side.

Comment 10 John W. Linville 2009-11-02 17:14:01 UTC
Just for the record, the p54pci driver (which remains enabled) covers the same hardware as prism54.

Comment 11 Adam Williamson 2009-11-02 18:05:40 UTC
This seems sane to me. As I read it (just going on the modinfo output), p54pci is the mac80211 driver for exactly the same hardware as prism54?

From a principle-of-being-conservative standpoint I might be more in favour of keeping prism54 driver available but dropping its modaliases (or whatever the Approved Method for gimping it so it never auto-loads is), but frankly I wouldn't have a real problem if you just kill it. It certainly doesn't make sense to have two competing drivers in the kernel with modaliases for all the same hardware.

I do see this very recent thread about a device for which prism54 works but p54pci doesn't:

http://osdir.com/ml/linux-wireless/2009-10/msg00246.html

Debian has disabled prism54 for years:

http://wiki.debian.org/prism54

Puppy dropped it around kernel 2.6.25:

http://www.murga-linux.com/puppy/viewtopic.php?p=325958

there's a 2008-vintage Ubuntu forum thread from someone for whom p54pci does not work, or at least didn't at that time:

http://ubuntuforums.org/showthread.php?t=803193

Given the above I'd probably prefer the solution of keeping prism54 around but nerfing it so it never gets autoloaded. Would that be too troublesome to do?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 12 John W. Linville 2009-11-02 18:55:08 UTC
Apparently the guy for whom prism54 works but p54 doesn't work has a device with damaged and/or incomplete EEPROM data (which apparently prism54 ignores).  So, I'm not too sure that is an important point.

Comment 13 John W. Linville 2009-11-02 18:56:09 UTC
Created attachment 367181 [details]
prism54-remove-pci-dev-table.patch

Been a while since I did this...is this sufficient?

Comment 14 Adam Williamson 2009-11-02 19:06:32 UTC
I believe it would be, yeah - if you build it that way and run 'modinfo' on the built module, it should show no 'alias' lines, and when that's the case, it shouldn't get loaded automatically any more. But I'm not exactly the world-ranking issue on this either :)

(btw I should note that of course I'm only talking about f12 case, as far as f13 goes, I entirely support nuking prism54 entirely!)

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 15 Bug Zapper 2009-11-18 10:12:09 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 16 Bug Zapper 2009-12-18 06:09:02 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.